org.apache.poi.hemf.draw

## Class HemfDrawProperties

- java.lang.Object
- - org.apache.poi.hwmf.draw.HwmfDrawProperties
  - - org.apache.poi.hemf.draw.HemfDrawProperties

-     public class HemfDrawProperties
      extends HwmfDrawProperties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.geom.Path2D` | `path` Path for path bracket operations
    `protected boolean` | `usePathBracket`

    - ### Fields inherited from class org.apache.poi.hwmf.draw.HwmfDrawProperties

      `clip, transform`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HemfDrawProperties()`
    `HemfDrawProperties(HemfDrawProperties other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLeftTransform(java.awt.geom.AffineTransform transform)`
    `void` | `addRightTransform(java.awt.geom.AffineTransform transform)`
    `void` | `clearTransform()`
    `java.util.List<? extends java.util.Map.Entry<java.lang.Float,java.awt.Color>>` | `getBrushColorsH()`
    `java.util.List<? extends java.util.Map.Entry<java.lang.Float,java.awt.Color>>` | `getBrushColorsV()`
    `java.awt.geom.Rectangle2D` | `getBrushRect()`
    `HemfPlusBrush.EmfPlusHatchStyle` | `getEmfPlusBrushHatch()`
    `ImageRenderer` | `getEmfPlusImage()`
    `java.awt.geom.Path2D` | `getPath()`
    `boolean` | `getUsePathBracket()` Use path (bracket) or graphics context for drawing operations
    `void` | `setBrushColorsH(java.util.List<? extends java.util.Map.Entry<java.lang.Float,java.awt.Color>> brushColorsH)`
    `void` | `setBrushColorsV(java.util.List<? extends java.util.Map.Entry<java.lang.Float,java.awt.Color>> brushColorsV)`
    `void` | `setBrushRect(java.awt.geom.Rectangle2D brushRect)`
    `void` | `setEmfPlusBrushHatch(HemfPlusBrush.EmfPlusHatchStyle emfPlusBrushHatch)`
    `void` | `setEmfPlusImage(ImageRenderer emfPlusImage)`
    `void` | `setPath(java.awt.geom.Path2D path)` Un-/Sets the bracket path
    `void` | `setUsePathBracket(boolean usePathBracket)`

    - ### Methods inherited from class org.apache.poi.hwmf.draw.HwmfDrawProperties

      `getBackgroundColor, getBkMode, getBrushBitmap, getBrushColor, getBrushHatch, getBrushStyle, getBrushTransform, getClip, getFont, getLocation, getMapMode, getPalette, getPaletteOffset, getPenColor, getPenMiterLimit, getPenStyle, getPenWidth, getPolyfillMode, getRasterOp, getRegion, getTextAlignAsian, getTextAlignLatin, getTextColor, getTextVAlignAsian, getTextVAlignLatin, getTransform, getViewport, getWindingRule, getWindow, setBackgroundColor, setBkMode, setBrushBitmap, setBrushBitmap, setBrushColor, setBrushHatch, setBrushStyle, setBrushTransform, setClip, setFont, setLocation, setLocation, setMapMode, setPalette, setPaletteOffset, setPenColor, setPenMiterLimit, setPenStyle, setPenWidth, setPolyfillMode, setRasterOp, setRegion, setTextAlignAsian, setTextAlignLatin, setTextColor, setTextVAlignAsian, setTextVAlignLatin, setTransform, setViewportExt, setViewportOrg, setWindowExt, setWindowOrg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### path

          protected java.awt.geom.Path2D path

      Path for path bracket operations

    - #### usePathBracket

          protected boolean usePathBracket

  - ### Constructor Detail

    - #### HemfDrawProperties

          public HemfDrawProperties()

    - #### HemfDrawProperties

          public HemfDrawProperties(HemfDrawProperties other)

  - ### Method Detail

    - #### getPath

          public java.awt.geom.Path2D getPath()

      Returns:
        the current path used for bracket operations

    - #### setPath

          public void setPath(java.awt.geom.Path2D path)

      Un-/Sets the bracket path
      Parameters:
        `path` - the bracket path

    - #### getUsePathBracket

          public boolean getUsePathBracket()

      Use path (bracket) or graphics context for drawing operations
      Returns:
        `true`, if the drawing should go to the path bracket, if `false` draw directly to the graphics context

    - #### setUsePathBracket

          public void setUsePathBracket(boolean usePathBracket)

    - #### getEmfPlusBrushHatch

          public HemfPlusBrush.EmfPlusHatchStyle getEmfPlusBrushHatch()

    - #### setEmfPlusBrushHatch

          public void setEmfPlusBrushHatch(HemfPlusBrush.EmfPlusHatchStyle emfPlusBrushHatch)

    - #### getEmfPlusImage

          public ImageRenderer getEmfPlusImage()

    - #### setEmfPlusImage

          public void setEmfPlusImage(ImageRenderer emfPlusImage)

    - #### addLeftTransform

          public void addLeftTransform(java.awt.geom.AffineTransform transform)

    - #### addRightTransform

          public void addRightTransform(java.awt.geom.AffineTransform transform)

    - #### clearTransform

          public void clearTransform()

    - #### getBrushRect

          public java.awt.geom.Rectangle2D getBrushRect()

    - #### setBrushRect

          public void setBrushRect(java.awt.geom.Rectangle2D brushRect)

    - #### getBrushColorsV

          public java.util.List<? extends java.util.Map.Entry<java.lang.Float,java.awt.Color>> getBrushColorsV()

    - #### setBrushColorsV

          public void setBrushColorsV(java.util.List<? extends java.util.Map.Entry<java.lang.Float,java.awt.Color>> brushColorsV)

    - #### getBrushColorsH

          public java.util.List<? extends java.util.Map.Entry<java.lang.Float,java.awt.Color>> getBrushColorsH()

    - #### setBrushColorsH

          public void setBrushColorsH(java.util.List<? extends java.util.Map.Entry<java.lang.Float,java.awt.Color>> brushColorsH)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.